version: '2'

services:
  app:
    image: 'mpclear-cache-demo:latest'
    build:
      context: "."
    ports:
      - 9090:9090
    container_name: app
    depends_on:
      - db
      - hazelcast
    environment:
      - SPRING_DATASOURCE_URL=jdbc:postgresql://db:5432/compose-postgres
      - SPRING_DATASOURCE_USERNAME=compose-postgres
      - SPRING_DATASOURCE_PASSWORD=compose-postgres

  db:
    image: 'postgres'
    ports:
      - 5432:5432
    container_name: db
    environment:
      - POSTGRES_USER=compose-postgres
      - POSTGRES_PASSWORD=compose-postgres

  hazelcast:
    container_name: hazelcast
    image: hazelcast/hazelcast:4.0.1
    ports:
      - 5701:5701

  management-center:
    container_name: management-center
    depends_on:
      - hazelcast
    image: hazelcast/management-center:4.0.3
    environment:
      - MC_INIT_CMD=./mc-conf.sh cluster add -H=/data -ma hazelcast:5701 -cn dev
    ports:
      - 8080:8080